Bug 1894033 - [RFE] Add SSH User field to Advanced Fields in Job Invocation of SSH Command - remote_execution_ssh_user per Remote Execution task
Summary: [RFE] Add SSH User field to Advanced Fields in Job Invocation of SSH Command ...
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Remote Execution
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium with 3 votes vote
Target Milestone: 6.12.0
Assignee: Peter Koprda
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-03 11:30 UTC by Jaroslav Krajicek
Modified: 2022-07-13 10:28 UTC (History)
7 users (show)

Fixed In Version: rubygem-foreman_remote_execution-7.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 34502 0 Normal Closed Add SSH User field to Advanced Fields in Job Invocation of SSH Command - remote_execution_ssh_user per Remote Execution ... 2022-05-16 13:27:10 UTC

Description Jaroslav Krajicek 2020-11-03 11:30:03 UTC
Description of problem:
Need to execute commands on hosts using different SSH users based on the command in question.

Version-Release number of selected component (if applicable):
6.7

How reproducible:
Always

Steps to Reproduce:
1. Schedule a Remote Job for a host
2. Try to set remote_execution_ssh_user on the specific job invocation

Actual results:
Unable to set remote_execution_ssh_user per job on a host

Expected results:
Advanced fields containing 'SSH User' field

Additional info:
Setting SSH user per host or using an effective user is not satisfactory for a customer.

Comment 3 Peter Koprda 2022-02-23 11:46:30 UTC
Created redmine issue https://projects.theforeman.org/issues/34502 from this bug

Comment 4 Bryan Kearney 2022-05-13 12:02:45 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/34502 has been resolved.

Comment 6 Peter Ondrejka 2022-07-13 10:28:47 UTC
Hello, I was able to verify the functionality on 6.12 snap 1. The 'SSH user' field is present in advanced fields, it's values are applied correctly and it is repopulated on reruns.


Note You need to log in before you can comment on or make changes to this bug.